\hypertarget{structtimlCNNInputParams}{\section{timl\-C\-N\-N\-Input\-Params Struct Reference}
\label{structtimlCNNInputParams}\index{timl\-C\-N\-N\-Input\-Params@{timl\-C\-N\-N\-Input\-Params}}
}
\subsection*{Data Fields}
\begin{DoxyCompactItemize}
\item 
int \hyperlink{structtimlCNNInputParams_a619d75bbf2e1da75cbfb9033174e13c3}{row}
\item 
int \hyperlink{structtimlCNNInputParams_a86376cd441d9f3a2c1d041282b0ba330}{col}
\item 
int \hyperlink{structtimlCNNInputParams_a4eab5767395e0c043b677bad2bbc4562}{channel}
\item 
int $\ast$ \hyperlink{structtimlCNNInputParams_a4ef62950f27f476170744c50d18daade}{channel\-Permute}
\item 
float $\ast$ \hyperlink{structtimlCNNInputParams_a39d74a3a7382c1b82ea64aa4289adbe3}{mean}
\item 
\hypertarget{structtimlCNNInputParams_aab70e0b5f171607dc00819fa6cc5ffed}{float {\bfseries scale}}\label{structtimlCNNInputParams_aab70e0b5f171607dc00819fa6cc5ffed}

\item 
float $\ast$ \hyperlink{structtimlCNNInputParams_a8a328c3b7039e84745735ff88e04945f}{input\-Data}
\item 
\hypertarget{structtimlCNNInputParams_a759dc7996529a7340027f66e68769305}{\hyperlink{group__util_ga898df2504b88d834c373082f2aa9f537}{timl\-Util\-Crop\-Type} {\bfseries training\-Crop\-Type}}\label{structtimlCNNInputParams_a759dc7996529a7340027f66e68769305}

\item 
\hypertarget{structtimlCNNInputParams_a421b681ebbafa4f6fc36a8e556cd97fb}{\hyperlink{group__util_ga5405b012e02035f4d864e0e38d516764}{timl\-Util\-Mirror\-Type} {\bfseries training\-Mirror\-Type}}\label{structtimlCNNInputParams_a421b681ebbafa4f6fc36a8e556cd97fb}

\item 
\hypertarget{structtimlCNNInputParams_a76cbcb4b7950f7fa22e087ea1c12f874}{\hyperlink{group__util_ga898df2504b88d834c373082f2aa9f537}{timl\-Util\-Crop\-Type} {\bfseries testing\-Crop\-Type}}\label{structtimlCNNInputParams_a76cbcb4b7950f7fa22e087ea1c12f874}

\item 
\hypertarget{structtimlCNNInputParams_a9bb6a4b3960ec7e19c21b7fdf0b5eee4}{\hyperlink{group__util_ga5405b012e02035f4d864e0e38d516764}{timl\-Util\-Mirror\-Type} {\bfseries testing\-Mirror\-Type}}\label{structtimlCNNInputParams_a9bb6a4b3960ec7e19c21b7fdf0b5eee4}

\item 
bool \hyperlink{structtimlCNNInputParams_a903f1cd3c732a0a9420937bf278ee6d0}{shared}
\end{DoxyCompactItemize}


\subsection{Field Documentation}
\hypertarget{structtimlCNNInputParams_a4eab5767395e0c043b677bad2bbc4562}{\index{timl\-C\-N\-N\-Input\-Params@{timl\-C\-N\-N\-Input\-Params}!channel@{channel}}
\index{channel@{channel}!timlCNNInputParams@{timl\-C\-N\-N\-Input\-Params}}
\subsubsection[{channel}]{\setlength{\rightskip}{0pt plus 5cm}int timl\-C\-N\-N\-Input\-Params\-::channel}}\label{structtimlCNNInputParams_a4eab5767395e0c043b677bad2bbc4562}
raw data channel size \hypertarget{structtimlCNNInputParams_a4ef62950f27f476170744c50d18daade}{\index{timl\-C\-N\-N\-Input\-Params@{timl\-C\-N\-N\-Input\-Params}!channel\-Permute@{channel\-Permute}}
\index{channel\-Permute@{channel\-Permute}!timlCNNInputParams@{timl\-C\-N\-N\-Input\-Params}}
\subsubsection[{channel\-Permute}]{\setlength{\rightskip}{0pt plus 5cm}int$\ast$ timl\-C\-N\-N\-Input\-Params\-::channel\-Permute}}\label{structtimlCNNInputParams_a4ef62950f27f476170744c50d18daade}
channel permutation order \hypertarget{structtimlCNNInputParams_a86376cd441d9f3a2c1d041282b0ba330}{\index{timl\-C\-N\-N\-Input\-Params@{timl\-C\-N\-N\-Input\-Params}!col@{col}}
\index{col@{col}!timlCNNInputParams@{timl\-C\-N\-N\-Input\-Params}}
\subsubsection[{col}]{\setlength{\rightskip}{0pt plus 5cm}int timl\-C\-N\-N\-Input\-Params\-::col}}\label{structtimlCNNInputParams_a86376cd441d9f3a2c1d041282b0ba330}
raw data col size \hypertarget{structtimlCNNInputParams_a8a328c3b7039e84745735ff88e04945f}{\index{timl\-C\-N\-N\-Input\-Params@{timl\-C\-N\-N\-Input\-Params}!input\-Data@{input\-Data}}
\index{input\-Data@{input\-Data}!timlCNNInputParams@{timl\-C\-N\-N\-Input\-Params}}
\subsubsection[{input\-Data}]{\setlength{\rightskip}{0pt plus 5cm}float$\ast$ timl\-C\-N\-N\-Input\-Params\-::input\-Data}}\label{structtimlCNNInputParams_a8a328c3b7039e84745735ff88e04945f}
raw data \hypertarget{structtimlCNNInputParams_a39d74a3a7382c1b82ea64aa4289adbe3}{\index{timl\-C\-N\-N\-Input\-Params@{timl\-C\-N\-N\-Input\-Params}!mean@{mean}}
\index{mean@{mean}!timlCNNInputParams@{timl\-C\-N\-N\-Input\-Params}}
\subsubsection[{mean}]{\setlength{\rightskip}{0pt plus 5cm}float$\ast$ timl\-C\-N\-N\-Input\-Params\-::mean}}\label{structtimlCNNInputParams_a39d74a3a7382c1b82ea64aa4289adbe3}
mean of the raw data \hypertarget{structtimlCNNInputParams_a619d75bbf2e1da75cbfb9033174e13c3}{\index{timl\-C\-N\-N\-Input\-Params@{timl\-C\-N\-N\-Input\-Params}!row@{row}}
\index{row@{row}!timlCNNInputParams@{timl\-C\-N\-N\-Input\-Params}}
\subsubsection[{row}]{\setlength{\rightskip}{0pt plus 5cm}int timl\-C\-N\-N\-Input\-Params\-::row}}\label{structtimlCNNInputParams_a619d75bbf2e1da75cbfb9033174e13c3}
raw data row size \hypertarget{structtimlCNNInputParams_a903f1cd3c732a0a9420937bf278ee6d0}{\index{timl\-C\-N\-N\-Input\-Params@{timl\-C\-N\-N\-Input\-Params}!shared@{shared}}
\index{shared@{shared}!timlCNNInputParams@{timl\-C\-N\-N\-Input\-Params}}
\subsubsection[{shared}]{\setlength{\rightskip}{0pt plus 5cm}bool timl\-C\-N\-N\-Input\-Params\-::shared}}\label{structtimlCNNInputParams_a903f1cd3c732a0a9420937bf278ee6d0}
if this layer shares the same mean with some other layer 

The documentation for this struct was generated from the following file\-:\begin{DoxyCompactItemize}
\item 
\hyperlink{timlCNN_8h}{timl\-C\-N\-N.\-h}\end{DoxyCompactItemize}
